/**
 * OciControlCenterCp API
 * A description of the OciControlCenterCp API
 * OpenAPI spec version: 20231107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details about the available capacity and constraints for different resource types present in the availability catalog.
 */
export interface OccAvailabilitySummary {
    /**
     * The OCID of the availability catalog.
     */
    "catalogId": string;
    /**
     * The name of the OCI service in consideration. For example, Compute, Exadata, and so on.
     *
     */
    "namespace": model.Namespace;
    /**
     * The date by which the customer must place the order to have their capacity requirements met by the customer handover date.
     */
    "dateFinalCustomerOrder": Date;
    /**
     * The date by which the capacity requested by customers before dateFinalCustomerOrder needs to be fulfilled.
     */
    "dateExpectedCapacityHandover": Date;
    /**
     * The different types of resources against which customers can place capacity requests.
     */
    "resourceType": OccAvailabilitySummary.ResourceType;
    /**
     * The type of workload (Generic/ROW).
     */
    "workloadType": OccAvailabilitySummary.WorkloadType;
    /**
     * The name of the resource that the customer can request.
     */
    "resourceName": string;
    /**
     * The quantity of available resource that the customer can request. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "availableQuantity": number;
    /**
     * The unit in which the resource available is measured.
     */
    "unit": string;
}
export declare namespace OccAvailabilitySummary {
    enum ResourceType {
        ServerHw = "SERVER_HW",
        CapacityConstraint = "CAPACITY_CONSTRAINT",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum WorkloadType {
        Generic = "GENERIC",
        Row = "ROW",
        UsProd = "US_PROD",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: OccAvailabilitySummary): object;
    function getDeserializedJsonObj(obj: OccAvailabilitySummary): object;
}
